import type { Context } from './Context';
import type { MetaplexPlugin } from './MetaplexPlugin';
export interface Metaplex extends Pick<Context, 'uploader' | 'downloader' | 'identity' | 'eddsa' | 'programs' | 'serializer'> {
    use(plugin: MetaplexPlugin): Metaplex;
}
export declare const createMetaplex: () => Metaplex;
